Subject: Problem using dejagnu/expect : path problem
From: Laurent Najman <[email-masked]>
To: [email-masked]
Date: Fri, 01 Dec 2000 11:38:20 +0100

I have installed a version of cygwin on my NT 2000 laptop.
I have a problem trying to use dejagnu : it seems that 'expect' mixed
the M$ pathes and the Unix pathes.

Setting

export TCL_LIBRARY=C:\\cygwin\\usr\\share\\tcl8.0
export DEJAGNULIBS=C:/cygwin/share/dejagnu

does help, but do not solve all the problems.

Trying to run the dejagnu test suite, I get

-------
$ runtest
ERROR: tcl error sourcing /home/calc/site.exp.
couldn't read file "/home/calc/site.exp": no such file or directory
    while executing
"source /home/calc/site.exp"
    ("uplevel" body line 1)
    invoked from within
"uplevel #0 source /home/calc/site.exp"
    invoked from within
"catch "uplevel #0 source [file join $file]""
-------
and I am sure that /home/calc/site.exp does exist. But I think that
expect is waiting for the windows path of this file.

Any help welcome.

--
Want to unsubscribe from this list?
Send a message to [email-masked]